package requestmapping

import (
	"PaymentCenter/app/constants/common"
	"PaymentCenter/app/http/entities"
	"PaymentCenter/app/http/entities/backend"
)

var BackendRequestMap = map[string]func() interface{}{

	// 商户
	common.ADMIN_V1 + "/merchant/create": func() interface{} { return new(backend.MerchantCreateRequest) },
	common.ADMIN_V1 + "/merchant/update": func() interface{} { return new(backend.MerchantUpdateRequest) },
	common.ADMIN_V1 + "/merchant/list":   func() interface{} { return new(backend.MerchantListRequest) },
	common.ADMIN_V1 + "/merchant/delete": func() interface{} { return new(entities.IdRequest) },
}
